Bug 728476 - machine panics with "DMAR hardware is malfunctioning"
Summary: machine panics with "DMAR hardware is malfunctioning"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dave Airlie
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 750914
TreeView+ depends on / blocked
 
Reported: 2011-08-05 09:53 UTC by Dave Airlie
Modified: 2011-12-06 14:00 UTC (History)
2 users (show)

Fixed In Version: kernel-2.6.32-212.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:00:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Dave Airlie 2011-08-05 09:53:33 UTC
Description of problem:

On HP ELiteBook 2540p with Intel Ironlake Graphics, the drm rebased uncovered a bug in the IOMMU hardware. This causes the panic unless graphics passthrough is enabled.

Version-Release number of selected component (if applicable):


How reproducible:

Run for a few hours with a kernel build in a terminal

Plan is get Intel to fix or if not just disable IOMMU for graphics device for G4x and Ironlake.

Comment 1 RHEL Product and Program Management 2011-08-05 10:09:43 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 3 Dave Airlie 2011-10-11 12:19:08 UTC
Better reproducer,

Get a ILK laptop that supports VT-d properly, HP Elitebook 2540p, not a lot of Lenovo ILK fail to enable graphics VT-d due to a bios bug.

Use desktop effects to enable compiz, open a gnome-terminal

run while [ 1 == 1 ]; do find . ; done

Leave running as long as possible, eventually machine will hang.

Comment 4 Dave Airlie 2011-10-11 14:30:20 UTC
oh you have to enable VT-d in the BIOS and boot EL6.2 kernels with intel_iommu=on

Comment 8 Dave Airlie 2011-10-18 08:24:20 UTC
If the Ironlake can enable VT-D and if VT-d works on it.

Some BIOSes mess up, you'll see
DMAR: BIOS has allocated no shadow GTT; disabling IOMMU for graphics

in dmesg, reproducing on these is also difficult (if possible at all).

Comment 11 Aristeu Rozanski 2011-10-25 14:51:28 UTC
Patch(es) available on kernel-2.6.32-212.el6

Comment 15 errata-xmlrpc 2011-12-06 14:00:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.